GET
Get Level2 Order Book
Gets a snapshot of the order book for product
Path Params
-
accountIdstring requiredThe ID of the account -
productstring requiredThe name of the product
Query Params
-
includeCumulativebooleanIncludecumulative sizein each price level, which is the running total ofsizefrom the top of that side through the level. Whentrue, each level is[price, size, cumulativeSize]instead of[price, size].
Responses
200
A Level2OrderBookSnapshot
Response Body
object
-
timestring date-time requiredThe timestamp when the order book snapshot was generated -
productstring requiredProduct name -
bidsarray of array requiredAn array of bid price levels. Each level is an array in the format [price, size], ordered from highest price to lowest price.priceis the bid price in the quote currency andsizeis the quantity of the base asset at that price level. WithincludeCumulative=true, each level is[price, size, cumulativeSize]wherecumulativeSizeis the running total ofsizefrom the top of that side through the level. -
asksarray of array requiredAn array of ask price levels. Each level is an array in the format [price, size], ordered from lowest price to highest price.priceis the ask price in the quote currency andsizeis the quantity of the base asset at that price level. WithincludeCumulative=true, each level is[price, size, cumulativeSize]wherecumulativeSizeis the running total ofsizefrom the top of that side through the level.
default
unexpected error
Response Body
object
-
errorstring required -
errorNamestring required -
reqIdstring required -
contextobjectOptional structured metadata for REST validation failures. The schema is fixed for client contract stability.context object
-
errorNamestring requiredSame value as the top-level errorName. -
fieldstringRequest field associated with the validation failure. -
messagestringHuman-readable field-level validation message.
-